=== debian/changelog ===
lifeograph (1.2.1-1build1) wily; urgency=medium

  * No-change rebuild against libglibmm-2.4-1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Aug 2015 21:40:48 +0000

lifeograph (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Update homepage.
  * Update Standards-Version to 3.9.6 .


 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 29 Jan 2015 19:32:18 +0000
