## lifeograph 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -49,6 +49,10 @@
 if( NOT GTKMM_FOUND )
     message( "Dev module needed for building Lifeograph not found: gtkmm-3.0 (>=3.12)" )
     return()
+endif()
+
+if( GTKMM_VERSION VERSION_GREATER 3.17 )
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
 endif()
 
 pkg_check_modules( ENCHANT REQUIRED enchant )
@@ -145,38 +149,8 @@
 install( FILES icons/lifeograph-22.png DESTINATION share/icons/hicolor/22x22/apps RENAME lifeograph.png )
 install( FILES icons/lifeograph-16.png DESTINATION share/icons/hicolor/16x16/apps RENAME lifeograph.png )
 install( FILES icons/scalable/lifeograph.svg DESTINATION share/icons/hicolor/scalable/apps )
-
-#install( FILES ${desktop_file} DESTINATION share/applications )
-
-install( FILES icons/chapter-16.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/chapter-32.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/diary-16.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/diary-32.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/entry-16.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/entry-32.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/favorite-16.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/filter-16.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/filter-32.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/filter_symbolic-32.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/gear-32.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/month-16.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/month-32.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/tag-16.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/tag-32.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/tag_category-16.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/tag_category-32.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/tag_theme-16.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/tag_theme-32.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/todo_canceled-16.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/todo_canceled-32.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/todo_done-16.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/todo_done-32.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/todo_progressed-16.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/todo_progressed-32.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/todo_open-16.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/todo_open-32.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/untagged-16.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/untagged-32.png DESTINATION share/${PACKAGE_NAME}/icons )
+install( FILES icons/scalable/lifeograph-symbolic.svg DESTINATION share/icons/hicolor/scalable/apps )
+install( DIRECTORY icons/png/ DESTINATION share/${PACKAGE_NAME}/icons )
 
 install( FILES ui/lifeograph.ui DESTINATION share/${PACKAGE_NAME}/ui )
 install( FILES ui/import.ui DESTINATION share/${PACKAGE_NAME}/ui )
