=== debian/changelog ===
lifeograph (1.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 30 Jan 2016 10:43:14 +0100

lifeograph (1.2.1-2) unstable; urgency=low

  * Backport upstream fix for gtkmm 3.18 version and later (closes: #805212).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 23 Nov 2015 21:20:44 +0100
