=== debian/control ===
Source: lifeograph
Section: gnome
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 9), intltool, cmake, libgtkmm-3.0-dev (>= 3.18), libgcrypt20-dev, libenchant-dev
Standards-Version: 3.9.6
Homepage: http://lifeograph.sourceforge.net/wiki/Main_Page

Package: lifeograph
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Private digital diary
 Lifeograph is an off-line and private journal and note taking application
 for one's self evaluation of his/her own life.
