## lifeograph 1.4.0~rc2

=== debian/changelog ===
lifeograph (1.4.0~rc2-1) unstable; urgency=low

  * New upstream pre-release, probably fixes #836966 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 18 Oct 2016 21:41:59 +0000

lifeograph (1.4.0~rc1-1) unstable; urgency=low

  * New upstream pre-release.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 27 Aug 2016 18:16:50 +0000
