## lifeograph 1.4.0

=== debian/changelog ===
lifeograph (1.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 17 Nov 2016 20:03:51 +0000
