## lifeograph 1.4.1

=== debian/changelog ===
lifeograph (1.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 26 Mar 2017 16:07:43 +0000
