## lifeograph 1.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#    Copyright (C) 2013 Ahmet Öztürk (aoz_2@yahoo.com)
+#    Copyright (C) 2013-2016 Ahmet Öztürk (aoz_2@yahoo.com)
 #
 #    This file is part of Lifeograph.
 #
@@ -51,15 +51,13 @@
     return()
 endif()
 
-if( GTKMM_VERSION VERSION_GREATER 3.17 )
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
-endif()
-
 pkg_check_modules( ENCHANT REQUIRED enchant )
 if( NOT ENCHANT_FOUND )
     message( "Dev module needed for building Lifeograph not found: enchant" )
     return()
 endif()
+
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
 
 # CONFIGURATION HEADER FILE
 configure_file( ${PROJECT_SOURCE_DIR}/config.h.in ${LOCAL_INCL_DIR}/config.h )
