=== debian/changelog ===
lifeograph (1.4.2-2) unstable; urgency=medium

  * Fix FTBFS with GCC 8 (closes: #906488).
  * Update Standards-Version to 4.2.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 13 Sep 2018 15:59:59 +0000

lifeograph (1.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 05 Jun 2017 17:43:40 +0000
