=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 9), intltool, cmake, libgtkmm-3.0-dev (>= 3.18), libgcrypt20-dev, libenchant-dev
-Standards-Version: 3.9.6
+Standards-Version: 4.2.1
 Homepage: http://lifeograph.sourceforge.net/wiki/Main_Page
 
 Package: lifeograph
