=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/lifeograph

override_dh_auto_clean:
	dh_clean
	rm -rf $(CURDIR)/build/ $(CURDIR)/obj-*
	rm -f $(CURDIR)/lifeograph.desktop

override_dh_install:
	dh_install
	install -m0755 -d $(DESTDIR)/usr/share/applications/
	install -m0644 $(CURDIR)/build/lifeograph.desktop \
		$(DESTDIR)/usr/share/applications/
	install -m0755 -d $(DESTDIR)/usr/share/metainfo/
	mv $(DESTDIR)/usr/share/appdata/lifeograph.appdata.xml \
	       $(DESTDIR)/usr/share/metainfo/

%:
	dh $@ --parallel

.PHONY: override_dh_auto_clean override_dh_install
