## lifeograph 1.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -45,15 +45,15 @@
     return()
 endif()
 
-pkg_check_modules( GTKMM REQUIRED gtkmm-3.0>=3.12 )
+pkg_check_modules( GTKMM REQUIRED gtkmm-3.0>=3.22 )
 if( NOT GTKMM_FOUND )
-    message( "Dev module needed for building Lifeograph not found: gtkmm-3.0 (>=3.12)" )
+    message( "Dev module needed for building Lifeograph not found: gtkmm-3.0 (>=3.22)" )
     return()
 endif()
 
-pkg_check_modules( ENCHANT REQUIRED enchant )
+pkg_check_modules( ENCHANT REQUIRED enchant-2 )
 if( NOT ENCHANT_FOUND )
-    message( "Dev module needed for building Lifeograph not found: enchant" )
+    message( "Dev module needed for building Lifeograph not found: enchant-2" )
     return()
 endif()
 
@@ -151,7 +151,7 @@
 install( DIRECTORY icons/png/ DESTINATION share/${PACKAGE_NAME}/icons )
 
 install( FILES ui/lifeograph.ui DESTINATION share/${PACKAGE_NAME}/ui )
-install( FILES ui/import.ui DESTINATION share/${PACKAGE_NAME}/ui )
+install( FILES ui/lifeograph-2.ui DESTINATION share/${PACKAGE_NAME}/ui )
 
 install( DIRECTORY diaries/ DESTINATION share/${PACKAGE_NAME}/diaries )
