=== debian/changelog ===
lifeograph (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debhelper level to 11:
    - don't specify parallel to debhelper.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 21 Nov 2018 18:08:41 +0000
