=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9), intltool, cmake, libgtkmm-3.0-dev (>= 3.18), libgcrypt20-dev, libenchant-dev
+Build-Depends: debhelper (>= 11), intltool, cmake, libgtkmm-3.0-dev (>= 3.22), libgcrypt20-dev, libenchant-dev
 Standards-Version: 4.2.1
 Homepage: http://lifeograph.sourceforge.net/wiki/Main_Page
