=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,6 @@
 	       $(DESTDIR)/usr/share/metainfo/
 
 %:
-	dh $@ --parallel
+	dh $@
 
 .PHONY: override_dh_auto_clean override_dh_install
