## lifeograph 1.5.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -134,7 +134,7 @@
 # INSTALL
 install( TARGETS ${PACKAGE_NAME} DESTINATION bin )
 
-install( FILES lifeograph.appdata.xml DESTINATION share/appdata )
+install( FILES net.sourceforge.lifeograph.appdata.xml DESTINATION share/appdata )
 
 
 install( FILES icons/lifeograph-48.png DESTINATION share/pixmaps RENAME lifeograph.png )
