=== debian/changelog ===
lifeograph (1.5.1.1-2) unstable; urgency=medium

  * Update Standards-Version to 4.4.1 .

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Fix FTCBFS: Let dh_auto_configure pass a crossfile to meson
    (closes: #943691).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 29 Oct 2019 17:24:56 +0000

lifeograph (1.5.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Switch to the Meson build system.
  * Update Standards-Version to 4.3.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 24 Jan 2019 20:48:58 +0000
