=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BUILDDIR=$(CURDIR)/builddir/
DESTDIR=$(CURDIR)/debian/lifeograph/

override_dh_auto_configure:
	dh_auto_configure -- --buildtype=release

override_dh_auto_install:
	dh_auto_install
	install -m0755 -d $(DESTDIR)/usr/share/metainfo/
	mv $(DESTDIR)/usr/share/appdata/net.sourceforge.lifeograph.appdata.xml \
	       $(DESTDIR)/usr/share/metainfo/

%:
	dh $@ --buildsystem=meson --builddirectory=$(BUILDDIR)

.PHONY: override_dh_auto_configure override_dh_auto_install
