## lifeograph 1.6.1

=== debian/changelog ===
lifeograph (1.6.1-2) unstable; urgency=medium

  * Build with Enchant 2 (closes: #949174).
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 09 Feb 2020 10:44:10 +0000

lifeograph (1.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 09 Jan 2020 18:54:06 +0000
