=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnome
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 11), intltool, meson, libgtkmm-3.0-dev (>= 3.22), libgcrypt20-dev, libenchant-dev, xdg-utils
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 11), intltool, meson, libgtkmm-3.0-dev (>= 3.22), libgcrypt20-dev, libenchant-2-dev, xdg-utils, appstream
+Standards-Version: 4.5.0
 Homepage: http://lifeograph.sourceforge.net/wiki/Main_Page
 
 Package: lifeograph
