=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,10 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	install -m0755 -d $(DESTDIR)/usr/share/metainfo/
-	mv $(DESTDIR)/usr/share/appdata/net.sourceforge.lifeograph.appdata.xml \
-	       $(DESTDIR)/usr/share/metainfo/
+	install -m0755 -d $(DESTDIR)/usr/share/mime/packages/
+	mv $(DESTDIR)/usr/share/mime/applications/x-lifeographdiary.xml \
+	       $(DESTDIR)/usr/share/mime/packages/
+	rmdir $(DESTDIR)/usr/share/mime/applications/
 
 %:
 	dh $@ --buildsystem=meson --builddirectory=$(BUILDDIR)
