## lifeograph 2.0.0

=== debian/changelog ===
lifeograph (2.0.0-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 03 Jan 2021 19:05:32 -0800

lifeograph (2.0.0-2) unstable; urgency=medium

  * Upload to Sid.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 24 Dec 2020 12:11:39 +0100

lifeograph (2.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 10 Dec 2020 19:57:22 +0100

lifeograph (2.0.0~rc3-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 22 Oct 2020 19:23:37 +0200

lifeograph (2.0.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 21 Sep 2020 21:55:40 +0200

lifeograph (2.0.0~rc1-2) experimental; urgency=medium

  * Backport upstream fix to hide unicode identifiers from GCC < 10.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 11 Aug 2020 21:05:30 +0200

lifeograph (2.0.0~rc1-1) experimental; urgency=medium

  * New major upstream release.
  * Update no_build_time.patch .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 09 Aug 2020 20:40:26 +0200
