=== debian/control ===
Source: lifeograph
Section: gnome
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: appstream,
               debhelper-compat (= 11),
               intltool,
               libchamplain-gtk-0.12-dev,
               libenchant-2-dev,
               libgcrypt20-dev,
               libgtkmm-3.0-dev (>= 3.22),
               meson,
               xdg-utils
Standards-Version: 4.5.0
Homepage: http://lifeograph.sourceforge.net/wiki/Main_Page

Package: lifeograph
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Private digital diary
 Lifeograph is an off-line and private journal and note taking application
 for one's self evaluation of his/her own life.
