## lifeograph 2.0.1.1

=== debian/changelog ===
lifeograph (2.0.1.1-1) unstable; urgency=medium

  * New upstream release, fixing the following issues:
    - export to text not working with some of the non-ASCII characters,
    - error while building for Fedora 35 (rawhide): error: template with C
      linkage,
    - search button does nothing.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 06 Jun 2021 08:41:34 +0200
