## lifeograph 2.0.2

=== debian/changelog ===
lifeograph (2.0.2-1) unstable; urgency=medium

  * New upstream release with important bugfixes.
  * Update Italian translation.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 05 Jul 2021 19:49:17 +0200
