=== debian/control ===
Source: lifeograph
Section: gnome
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 11), intltool, meson,
 libgtkmm-3.0-dev (>= 3.22), libchamplain-gtk-0.12-dev,
 libgcrypt20-dev, libenchant-2-dev, xdg-utils, appstream
Standards-Version: 4.5.0
Homepage: http://lifeograph.sourceforge.net/wiki/Main_Page

Package: lifeograph
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Private digital diary
 Lifeograph is an off-line and private journal and note taking application
 for one's self evaluation of his/her own life.
