## lifeograph 2.0.3

=== debian/changelog ===
lifeograph (2.0.3-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:55:13 +1100

lifeograph (2.0.3-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:32:48 +0000

lifeograph (2.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.6.0.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 28 Apr 2022 18:58:13 +0200

lifeograph (2.0.2-2) unstable; urgency=medium

  * Backport upstream fix to replace deprecated utimes() call with utime()
    (closes: #1009470).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 13 Apr 2022 21:53:05 +0200
