=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: lifeograph
 Section: gnome
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 11), intltool, meson,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper-compat (= 13), intltool, meson,
  libgtkmm-3.0-dev (>= 3.22), libchamplain-gtk-0.12-dev,
  libgcrypt20-dev, libenchant-2-dev, xdg-utils, appstream
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Homepage: http://lifeograph.sourceforge.net/wiki/Main_Page
 
 Package: lifeograph
