## lifeograph 3.0.0

=== debian/changelog ===
lifeograph (3.0.0-1) unstable; urgency=medium

  * New major upstream release (closes: #1018132).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 29 Dec 2024 15:20:03 +0100

lifeograph (3.0.0~rc2-1) experimental; urgency=medium

  * New major upstream release candidate version.
  * Use no for Rules-Requires-Root.
  * Update Standards-Version to 4.7.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 10 Nov 2024 00:24:30 +0100
