=== debian/control ===
Source: lifeograph
Section: gnome
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 13), meson, pkgconf, libgtkmm-4.0-dev,
 libenchant-2-dev, libshumate-dev, libgcrypt20-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://lifeograph.sourceforge.net/wiki/Main_Page

Package: lifeograph
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Private digital diary
 Lifeograph is an off-line and private journal and note taking application
 for one's self evaluation of his/her own life.
