## lifeograph 3.0.1

=== debian/changelog ===
lifeograph (3.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Update homepage.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 03 Mar 2025 19:43:18 +0100
