## lifeograph 3.0.3

=== debian/changelog ===
lifeograph (3.0.3-2) unstable; urgency=medium

  * Backport upstream fix to loading theme icons that don't have a path.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 10 Jul 2025 16:41:35 +0200

lifeograph (3.0.3-1) unstable; urgency=medium

  * New upstream release:
    - generalize list type changes of paragraphs to the sibling paragraphs
      that already have the same list type,
    - added keyboard shortcuts for adding child and sibling entries that use
      the events to determine the relative entry,
    - added keyboard shortcuts for going up and down in the entry list without
      visiting filtered-out entries,
    - fixed opening non-writable diaries,
    - fixed dropping charts and tables into entry text,
    - fixed subheading suggestions in the smart add dialogs,
    - fixed and improved behavior of backspace in lists and indented
      paragraphs,
    - disabled dropping onto the text editor in read-only mode,
    - fixed dropping multi-line text,
    - fixed clearing filtered states from parents of non-filtered entries,
    - while creating new entries, do not inherit themes from relative entries,
      if they don't have any theme set,
    - fixed issues related to the password popover.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 22 Jun 2025 07:56:16 +0200

lifeograph (3.0.2-1) unstable; urgency=medium

  * New upstream release:
    - fixed crash when collapsing entries in the list,
    - redraw entry list upon completion of drag operations to remove the
      overlays immediately,
    - fixed setting status of multiple paragraphs at once,
    - fixed joining paragraphs,
    - fixed background image of the main text editor theme leaking to its
      child entry widgets,
    - fixed background color of the main text editor theme leaking to its
      child entry widgets,
    - fixed selecting a collapsed entry from the list when the current entry
      is a child of it,
    - fixed crash in upgrading old diaries,
    - some improvements in drag and drop in the entry list especially
      prevention of dropping an entry onto itself,
    - reenabled clear icon in EntryClear,
    - use native controls for Gtk 4.18 and above,
    - when duplicating, insert the copy after the last child of a collapsed
      paragraph,
    - add space after the cursor on Shift+Space,
    - scale up list number text for subheaders,
    - do not indent subheading paragraphs when converting them into lists,
    - implemented cycling through siblings of a tag via Alt +/-,
    - Lifeograph can run on MacOS now.
  * Refer online version of Free Software Foundation licence.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 22 May 2025 19:29:57 +0200
