## lifeograph 3.0.4

=== meson_options.txt ===
option('run_install_script', type : 'boolean', value : true)
