=== debian/changelog ===
lifeograph (3.0.4-1) unstable; urgency=medium

  * New upstream release:
    - added current entry options to the filter button in the export dialog,
    - in the entry list, when the current entry is not visible, highlight the
      first exposed parent of it in gray,
    - removed the exemption for non-indented paragraphs when parenting plain
      paras to bullet paras,
    - updated Brazilian Portuguese translation,
    - fixed some glitches in moving entries around the list,
    - fixed keeping selection when a parent is expanded/collapsed,
    - fixed crash on printing when an image is not found,
    - fixed and a bit optimized saving filtered entries,
    - prevent internal entry in the smart add dialog from being added to
      the diary,
    - fixed clearing background images of themes,
    - fixed loading theme icons that don't have a path,
    - fixed some glitches in the table view scrollbar.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 20 Aug 2025 18:39:35 +0200
