=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  libenchant-2-dev, libshumate-dev, libgcrypt20-dev
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: http://lifeograph.sourceforge.net/wiki/Main_Page
+Homepage: https://lifeograph.sourceforge.net/
 
 Package: lifeograph
 Architecture: any
