=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BUILDDIR=$(CURDIR)/builddir/

override_dh_auto_configure:
	dh_auto_configure -- --buildtype=release

%:
	dh $@ --buildsystem=meson --builddirectory=$(BUILDDIR)

.PHONY: override_dh_auto_configure
